Bug 1020830 - vm import: rhevm doesn't recognize that the template is present in the cluster when importing via webadmin
vm import: rhevm doesn't recognize that the template is present in the cluste...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Tomas Jelinek
Pavel Novotny
virt
: Triaged
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-18 07:00 EDT by David Jaša
Modified: 2014-01-21 17:26 EST (History)
7 users (show)

See Also:
Fixed In Version: is23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20854 None None None Never
oVirt gerrit 21062 None None None Never

  None (edit)
Description David Jaša 2013-10-18 07:00:56 EDT
Description of problem:
vm import: rhevm doesn't recognize that the template is present in the cluster when importing via webadmin so the user is unneccessarily forced to "collapse snapshots" and have the imported VMs based on Blank template

Version-Release number of selected component (if applicable):
is19:
rhevm-backend-3.3.0-0.26.master.el6ev.noarch
rhevm-webadmin-portal-3.3.0-0.26.master.el6ev.noarch
vdsm-4.13.0-0.3.beta1.el6ev.x86_64

How reproducible:


Steps to Reproduce:
1. have a template and two VMs based on that template in the export domain
2. import the template
3. try import first VM via:
      * webadmin
      * REST API

Actual results:
  * webadmin says that the template is not present and the VM has to be collapsed
  * API imports the VM just fine
  * once the first VM is imported via API, second VM can be imported via webadmin just fine

Expected results:
the template presence is being recognized just fine

Additional info:
Comment 1 Pavel Novotny 2013-11-15 04:24:44 EST
Verified in rhevm-3.3.0-0.33.beta1.el6ev.noarch (is23).

Verified according to reproducer in comment 0.
The VM to be imported is recognized as template-based and if the template is present in RHEVM, it's paired to the VM, no warning message about missing template is shown and user can then choose to collapse/not collapse snapshots.
Comment 2 Itamar Heim 2014-01-21 17:21:14 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:26:40 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.